import { jsx } from "react/jsx-runtime";
import { TokenTTK as TokenTTK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTTK = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TTK", "data-name": "TokenTTK", ...props, children: /* @__PURE__ */ jsx(TokenTTK$1, { variant }) });
  }
);
TokenTTK.displayName = "TokenTTK";
Object.assign(TokenTTK, { isGdsIcon: true });
export {
  TokenTTK
};
